@import url('tablet.css');
@import url('mobile.css');
@import url('desktop.css');

.main *{
    display: flex;
    flex-direction: column;
}
.blog-image{
    min-height: 50%;
}

.blog-image img{
    aspect-ratio: 16/9;
}
.author{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: .5rem;
}
.author-image{
    height: 3rem;
}
.author-image img{
    height: 100%;
    border-radius: 50%;
    background-color: #000;
}
article{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.blog-wrapper{
    gap: .5rem;
}
.blog-post{
    gap: 1rem;
    padding: 1rem;
}
.blog-post img{
    aspect-ratio: 16/9;
}
.name{
    font-weight: bolder;
}

.date{
    font-style: italic;
}

.illustration{
    width: 90%;
    margin: 0 auto;
}

.about-author{
    grid-area: 3/1/4/-1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    padding: 1rem;
}

.avatar{
    height: 10rem;
}
.avatar img{
    height: 100%;
    margin: 0 auto;
    border-radius: 50%;
    background-color: #000;
}

.author-details{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.form-section{
    grid-area: 4/1/5/-1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: .5rem;
    gap: 1rem;
}

.form-section p{
    font-size: 1.33rem;
}

form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    font-size: 1.3rem;
}

.footer-section{
    grid-area: 5/1/6/-1;
}

blockquote{
    padding: 0 3rem;
    min-width: 70%;
    color: darkgrey;
}

figcaption{
    text-align: center;
}
